<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [formatRam](./bitburner.ns.formatram.md)

## NS.formatRam() method

Format a number as an amount of ram.

**Signature:**

```typescript
formatRam(n: number, fractionalDigits?: number): string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  n | number | Number to format as an amount of ram, in base units of GB (or GiB if that Numeric Display option is set). |
|  fractionalDigits | number | _(Optional)_ Number of digits to show in the fractional part of the decimal number. Optional, defaults to 2. |

**Returns:**

string

Formatted ram amount.

## Remarks

RAM cost: 0 GB

Converts a number into a ram string with the specified number of fractional digits. This is the same function that the game itself uses to display ram. The format also depends on the Numeric Display settings (all options on the "Numeric Display" options page) To format plain numbers or percentages, see [formatNumber](./bitburner.ns.formatnumber.md) and [formatPercent](./bitburner.ns.formatpercent.md)

